Subject: Re: <draft-ietf-6man-rfc1981bis-05.txt>

From: "C. M. Heard" <[email-masked]>
Date: Mon, 3 Apr 2017 10:24:20 -0700

Greetings,

1.) In Section 5.3, the fourth paragraph up from the bottom of Page 9
would, in my opinion, be clearer with the following change:

OLD:
   The node then uses the value in the MTU field in the Packet Too Big
   message as a tentative PMTU value or the minimum IPv6 next hope MTU
   if that is larger, and compares the tentative PMTU to the existing
   PMTU.

NEW:
   The node then uses the value in the MTU field in the Packet Too Big
   message as a tentative PMTU value or the IPv6 minimum link MTU
   if that is larger, and compares the tentative PMTU to the existing
   PMTU.

In other words, s/minimum IPv6 next hope MTU/IPv6 minimum link MTU/.
That will make the terminology consistent with the rest of the document.

2.) It is difficult to tell from Appendix B what has actually changed
since RFC 1981. The detailed account of what was changed from one draft
to the next has been very useful to the working group but will not be
particularly helpful to readers of an archival document. I would
therefore suggest that prior to publication as an RFC this Appendix
should be replaced with an actual summary of the changes since RFC 1981.

I might note that this same point was made by Robert Sparks in his
GEN-ART review of companion document draft-ietf-6man-rfc4291bis (see
https://www.ietf.org/mail-archive/web/ipv6/current/msg26035.html):

> Appendix B looks like something groups normally ask the RFC Editor
> to delete. If that was your intent, please add instructions to the
> RFC Editor so they don't have to ask. If you planned to leave it, a
> summary of the changes rather than a chronolog of what draft version
> changes were made in would be much more useful to future readers.
> (Such a summary would be welcome in any case.)

I am aware that preparing such a summary is a significant amount of
work, and I am willing to send text should the editor so desire.

Thanks and regards,

Mike Heard

On Fri, 31 Mar 2017 10:32:02 -0500, Bob Hinden wrote:
> Hi,
>
> I published a new version of rfc1981bis (-05).  Links to the document below.
>
> The changes in this version are based on comments in IETF last call reviews
> by Gorry Fairhurst, Joe Touch, Susan Hares, Stewart Bryant, Rifaat
> Shekh-Yusef, and Donald Eastlake.  Many thank to the reviewers as I think
> the document is significantly improved, it is much better aligned with
> current transport practice.
>
> The changes include:
>
>    o  Clarify that the purpose of PMTUD is to reduce the need
>       for IPv6 Fragmentation.
>
>    o  Added text to Introduction about effects on PMTUD when
>       ICMPv6 messages are blocked.
>
>    o  Clarified in Section 4. that nodes should validate the
>       payload of ICMPv6 PTB messages per RFC4443.
>
>    o  Removed text in Section 5.2 about the number of paths to a
>       destination.
>
>    o  Changed title of Section 5.4 to "Packetization layer
>       actions".
>
>    o  Clarified first paragraph in Section 5.4 to to cover all
>       packetization layers, not just TCP.
>
>    o  Clarified text in Section 5.4 to use normal retransmission
>       methods.
>
>    o  Add clarification to Note in Section 5.4 about
>       retransmissions.
>
>    o  Removed text in Section 5.4 that described 4.2BSD as it is
>       now obsolete.
>
>    o  Removed reference to TP4 in Section 5.5.
>
>    o  Updated text in Section 5.5 about NFS including adding a
>       current reference to NFS and removing obsolete text.
>
>    o  Revised text in Section 6 to clarify first attack
>       response.
>
>    o  Added new text in Section 6 to clarify the effect of
>       ICMPv6 filtering on PMTUD.
>
>    o  Aligned terminology for the packetization layer
>       terminology.
>
>    o  Editorial changes.
>
> A diff from the previous version can be found at:
>
>    https://tools.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc1981bis-05.txt
>
> Please review.
>
> This is part of the project to move the core IPv6 specifications to Internet
> Standard.
>
> Thanks,
> Bob
>
>> A new version of I-D, draft-ietf-6man-rfc1981bis-05.txt
>> has been successfully submitted by Robert M. Hinden and posted to the
>> IETF repository.
>>
>> Name: draft-ietf-6man-rfc1981bis
>> Revision: 05
>> Title: Path MTU Discovery for IP version 6
>> Document date: 2017-03-31
>> Group: 6man
>> Pages: 18
>> URL:
>> https://www.ietf.org/internet-drafts/draft-ietf-6man-rfc1981bis-05.txt
>> Status:
>> https://datatracker.ietf.org/doc/draft-ietf-6man-rfc1981bis/
>> Htmlized:       https://tools.ietf.org/html/draft-ietf-6man-rfc1981bis-05
>> Htmlized:
>> https://datatracker.ietf.org/doc/html/draft-ietf-6man-rfc1981bis-05
>> Diff:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-rfc1981bis-05
>>
>> Abstract:
>>   This document describes Path MTU Discovery for IP version 6.  It is
>>   largely derived from RFC 1191, which describes Path MTU Discovery for
>>   IP version 4.  It obsoletes RFC1981.

---

From: Bob Hinden <[email-masked]>
Date: Mon, 3 Apr 2017 13:10:39 -0700

Mike,

> On Apr 3, 2017, at 10:24 AM, C. M. Heard <[email-masked]> wrote:
> 
> Greetings,
> 

Yes, I agree.  Also removes the misspelled “hop”.

> work, and I am willing to send text should the editor so desire.

Thanks, I agree it’s a good idea.  I did that for rfc2460bis recently, and will work on that for rfc1981bis too.  I will send a draft copy to you to review prior publishing.

Thanks,
Bob